Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 423705

Summary: media-gfx/simple-scan-3.2.1 fails install with automake-1.12
Product: Gentoo Linux Reporter: Guy Fontaine <aramisqc>
Component: [OLD] GNOMEAssignee: Gentoo Linux Gnome Desktop Team <gnome>
Status: RESOLVED FIXED    
Severity: normal CC: d2_racing
Priority: Normal Keywords: Inclusion, PATCH
Version: unspecified   
Hardware: x86   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 421465    
Attachments: build log - ebuild environment - emerge --info
build log
patch for simple-scan 3.2.1

Description Guy Fontaine 2012-06-26 19:29:19 UTC
Created attachment 316353 [details]
build log - ebuild environment - emerge --info

emerging media-gfx/simple-scan ends with a failure :

Making install in icons 
make[2] : on entre dans le répertoire « /var/tmp/portage/media-gfx/simple-scan-3.2.1/work/simple-scan-3.2.1/data/icons » 
make[3] : on entre dans le répertoire « /var/tmp/portage/media-gfx/simple-scan-3.2.1/work/simple-scan-3.2.1/data/icons » 
make[3]: Rien à faire pour « install-exec-am ». 
for icon in hicolor_actions_16x16_object-crop.png hicolor_actions_22x22_object-crop.png hicolor_actions_24x24_object-crop.png hicolor_actions_32x32_object-crop.png hicolor_actions_48x48_object-crop.png hicolor_actions_scalable_object-crop.svg; do \ 
   THEME=`echo $icon | cut -d_ -f1`; \ 
   CONTEXT=`echo $icon | cut -d_ -f2`; \ 
   SIZE=`echo $icon | cut -d_ -f3`; \ 
   ICONFILE=`echo $icon | cut -d_ -f4`; \ 
    /var/tmp/portage/media-gfx/simple-scan-3.2.1/image//usr/share/simple-scan/icons/$THEME/$SIZE/$CONTEXT; \ 
   /usr/bin/install -c -m 644 ./$icon /var/tmp/portage/media-gfx/simple-scan-3.2.1/image//usr/share/simple-scan/icons/$THEME/$SIZE/$CONTEXT/$ICONFILE; \ 
done 
/bin/sh: ligne5: /var/tmp/portage/media-gfx/simple-scan-3.2.1/image//usr/share/simple-scan/icons/hicolor/16x16/actions: Aucun fichier ou dossier de ce type 
/usr/bin/install: impossible de créer le fichier standard « /var/tmp/portage/media-gfx/simple-scan-3.2.1/image//usr/share/simple-scan/icons/hicolor/16x16/actions/object-crop.png »: Aucun fichier ou dossier de ce type 
/bin/sh: ligne5: /var/tmp/portage/media-gfx/simple-scan-3.2.1/image//usr/share/simple-scan/icons/hicolor/22x22/actions: Aucun fichier ou dossier de ce type 
/usr/bin/install: impossible de créer le fichier standard « /var/tmp/portage/media-gfx/simple-scan-3.2.1/image//usr/share/simple-scan/icons/hicolor/22x22/actions/object-crop.png »: Aucun fichier ou dossier de ce type 
/bin/sh: ligne5: /var/tmp/portage/media-gfx/simple-scan-3.2.1/image//usr/share/simple-scan/icons/hicolor/24x24/actions: Aucun fichier ou dossier de ce type 
/usr/bin/install: impossible de créer le fichier standard « /var/tmp/portage/media-gfx/simple-scan-3.2.1/image//usr/share/simple-scan/icons/hicolor/24x24/actions/object-crop.png »: Aucun fichier ou dossier de ce type 
/bin/sh: ligne5: /var/tmp/portage/media-gfx/simple-scan-3.2.1/image//usr/share/simple-scan/icons/hicolor/32x32/actions: Aucun fichier ou dossier de ce type 
/usr/bin/install: impossible de créer le fichier standard « /var/tmp/portage/media-gfx/simple-scan-3.2.1/image//usr/share/simple-scan/icons/hicolor/32x32/actions/object-crop.png »: Aucun fichier ou dossier de ce type 
/bin/sh: ligne5: /var/tmp/portage/media-gfx/simple-scan-3.2.1/image//usr/share/simple-scan/icons/hicolor/48x48/actions: Aucun fichier ou dossier de ce type 
/usr/bin/install: impossible de créer le fichier standard « /var/tmp/portage/media-gfx/simple-scan-3.2.1/image//usr/share/simple-scan/icons/hicolor/48x48/actions/object-crop.png »: Aucun fichier ou dossier de ce type 
/bin/sh: ligne5: /var/tmp/portage/media-gfx/simple-scan-3.2.1/image//usr/share/simple-scan/icons/hicolor/scalable/actions: Aucun fichier ou dossier de ce type 
/usr/bin/install: impossible de créer le fichier standard « /var/tmp/portage/media-gfx/simple-scan-3.2.1/image//usr/share/simple-scan/icons/hicolor/scalable/actions/object-crop.svg »: Aucun fichier ou dossier de ce type 
make[3]: *** [install-data-local] Erreur 1 
make[3] : on quitte le répertoire « /var/tmp/portage/media-gfx/simple-scan-3.2.1/work/simple-scan-3.2.1/data/icons » 
make[2]: *** [install-am] Erreur 2 
make[2] : on quitte le répertoire « /var/tmp/portage/media-gfx/simple-scan-3.2.1/work/simple-scan-3.2.1/data/icons » 
make[1]: *** [install-recursive] Erreur 1 
make[1] : on quitte le répertoire « /var/tmp/portage/media-gfx/simple-scan-3.2.1/work/simple-scan-3.2.1/data » 
make: *** [install-recursive] Erreur 1 
 * ERROR: media-gfx/simple-scan-3.2.1 failed (install phase): 
 *   emake failed
Comment 1 Guy Fontaine 2012-06-26 19:33:51 UTC
Portage 2.1.11.1 (default/linux/x86/10.0/desktop, gcc-4.6.3, glibc-2.15-r2, 3.4.4-gentoo i686) 
================================================================= 
                         System Settings 
================================================================= 
System uname: Linux-3.4.4-gentoo-i686-Intel-R-_Pentium-R-_4_CPU_2.40GHz-with-gentoo-2.1 
Timestamp of tree: Sat, 23 Jun 2012 22:15:01 +0000 
app-shells/bash:          4.2_p29 
dev-lang/python:          2.7.3-r2, 3.2.3-r1 
dev-util/cmake:           2.8.8-r3 
dev-util/pkgconfig:       0.26 
sys-apps/baselayout:      2.1-r1 
sys-apps/openrc:          0.10.3 
sys-apps/sandbox:         2.5 
sys-devel/autoconf:       2.13, 2.69 
sys-devel/automake:       1.11.5, 1.12.1 
sys-devel/binutils:       2.22-r1 
sys-devel/gcc:            4.6.3 
sys-devel/gcc-config:     1.7.3 
sys-devel/libtool:        2.4.2 
sys-devel/make:           3.82-r3 
sys-kernel/linux-headers: 3.4 (virtual/os-headers) 
sys-libs/glibc:           2.15-r2 
Repositories: gentoo 
ACCEPT_KEYWORDS="x86 ~x86" 
ACCEPT_LICENSE="* -@EULA" 
CBUILD="i686-pc-linux-gnu" 
CFLAGS="-O2 -march=pentium4 -pipe -fomit-frame-pointer" 
CHOST="i686-pc-linux-gnu" 
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt" 
CONFIG_PROTECT_MASK="${EPREFIX}/etc/gconf /etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo" 
CXXFLAGS="-O2 -march=pentium4 -pipe -fomit-frame-pointer" 
DISTDIR="/usr/portage/distfiles" 
EMERGE_DEFAULT_OPTS="--jobs=5 --load-average=5.0 --with-bdeps y" 
FCFLAGS="-O2 -march=i686 -pipe" 
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles news parallel-fetch parse-eapi-ebuild-head protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch" 
FFLAGS="-O2 -march=i686 -pipe" 
GENTOO_MIRRORS="ftp://mirror.csclub.uwaterloo.ca/gentoo-distfiles/ http://distfiles.gentoo.org" 
LANG="fr_CA.UTF-8" 
LDFLAGS="-Wl,-O1 -Wl,--as-needed" 
LINGUAS="fr" 
MAKEOPTS="-j2 -l2" 
PKGDIR="/usr/portage/packages" 
PORTAGE_CONFIGROOT="/" 
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages" 
PORTAGE_TMPDIR="/var/tmp" 
PORTDIR="/usr/portage" 
PORTDIR_OVERLAY="" 
SYNC="rsync://rsync.ca.gentoo.org/gentoo-portage" 
USE="X a52 aac acl acpi alsa berkdb bluetooth branding bzip2 cairo cdda cdr cli consolekit cracklib crypt cups cxx dbus dri dts dvd dvdr emboss encode exif fam firefox flac fortran gdbm gif gpm gtk gtk3 iconv ipv6 jpeg lcms libnotify mad mng modules mp3 mp4 mpeg mudflap ncurses nls nptl ogg opengl openmp pam pango pcre pdf png policykit ppds pppd qt3support qt4 readline sdl session spell ssl startup-notification svg tcpd tiff truetype udev udisks unicode upower usb userlocales vorbis wxwidgets x264 x86 xcb xml xorg xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" GRUB_PLATFORMS="pc" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="fr" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="vesa radeon" XFCE_PLUGINS="brightness clock logout trash" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 2 Jeroen Roovers gentoo-dev 2012-06-27 13:20:23 UTC
Please attach the entire build log to this bug report.
Comment 3 Guy Fontaine 2012-06-27 13:25:17 UTC
Created attachment 316435 [details]
build log

I thought it was possible to look at it in the pastebin. Sorry !
Comment 4 gringo 2012-07-02 13:15:41 UTC
FYI, this apparently is yet another problem related to automake-1.12.
no idea about how to properly fix it though, sorry.

cheers
Comment 5 Jimmy.Jazz 2012-07-02 18:47:47 UTC
Created attachment 316999 [details, diff]
patch for simple-scan 3.2.1
Comment 6 Guy Fontaine 2012-07-02 18:55:21 UTC
(In reply to comment #5)
> Created attachment 316999 [details, diff] [details, diff]
> patch for simple-scan 3.2.1

Thank for the patch. Meanwhile I was able to install simple-scan by forcing automake-1.11 :

WANT_AUTOMAKE=1.11 emerge -1av simple-scan

automake currently installed :

sys-devel/automake-1.11.5
sys-devel/automake-1.12.1
Comment 7 Sylvain Alain (RETIRED) gentoo-dev 2012-07-02 19:59:42 UTC
I added this bug to the bugtracker https://bugs.gentoo.org/show_bug.cgi?id=421465
Comment 8 Alexandre Rostovtsev (RETIRED) gentoo-dev 2012-07-17 06:37:26 UTC
To be honest, by far the simplest solution to this bug is to simply drop the ancient patch for zlib-1.2.3 compatibility that had forced an autoreconf; zlib-1.2.5 has been stable for a long time .

>  17 Jul 2012; Alexandre Rostovtsev <tetromino@gentoo.org>
>  -files/simple-scan-2.31.90.2-support-non-pkgconfig-zlib.patch,
>  simple-scan-2.32.0.2.ebuild, simple-scan-3.2.1.ebuild:
>  Drop useless support for ancient zlib to avoid autoreconf. As a side effect,
>  fixes bug #423705.
Comment 9 Alexandre Rostovtsev (RETIRED) gentoo-dev 2012-07-17 07:22:27 UTC
Reported issue upstream at https://code.launchpad.net/~tetromino/simple-scan/mkdir_p/+merge/115284
Comment 10 Guy Fontaine 2012-07-17 11:08:30 UTC
(In reply to comment #8)
> To be honest, by far the simplest solution to this bug is to simply drop the
> ancient patch for zlib-1.2.3 compatibility that had forced an autoreconf;
> zlib-1.2.5 has been stable for a long time .
> 
> >  17 Jul 2012; Alexandre Rostovtsev <tetromino@gentoo.org>
> >  -files/simple-scan-2.31.90.2-support-non-pkgconfig-zlib.patch,
> >  simple-scan-2.32.0.2.ebuild, simple-scan-3.2.1.ebuild:
> >  Drop useless support for ancient zlib to avoid autoreconf. As a side effect,
> >  fixes bug #423705.

Thank's Alexandre and as a matter of fact :


guy@guy-desktop ~ $ sudo emerge --ask media-gfx/simple-scan

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] media-gfx/simple-scan-3.2.1 

Would you like to merge these packages? [Yes/No] 
>>> Verifying ebuild manifests
>>> Emerging (1 of 1) media-gfx/simple-scan-3.2.1
>>> Installing (1 of 1) media-gfx/simple-scan-3.2.1
>>> Recording media-gfx/simple-scan in "world" favorites file...
>>> Jobs: 1 of 1 complete                           Load avg: 0.98, 0.47, 0.30
>>> Auto-cleaning packages...

>>> No outdated packages were found on your system.

 * GNU info directory index is up-to-date.